package com.ruoyi.system.domain;

import java.time.LocalDate;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 记录系统每天需要统计的任务对象 daily_sys
 * 
 * @author haoitan
 * @date 2024-11-07
 */
public class DailySys extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键自增ID */
    private Long dailySysId;

    /** 用户总数 */
    @Excel(name = "用户总数")
    private Long tUser;

    /** 用户总的在线时长 */
    @Excel(name = "用户总的在线时长")
    private Long tOnlineTime;

    /** 用户总的MR在线时长 */
    @Excel(name = "用户总的MR在线时长")
    private Long tMrTime;

    /** 资源位总的被购买数 */
    @Excel(name = "资源位总的被购买数")
    private Long tBought;

    /** 资源位总的互动次数 */
    @Excel(name = "资源位总的互动次数")
    private Long tInteractions;

    /** 资源位总的分享次数 */
    @Excel(name = "资源位总的分享次数")
    private Long tShares;

    /** 上传内容总数 */
    @Excel(name = "上传内容总数")
    private Long tWork;

    /** 过审内容数 */
    @Excel(name = "过审内容数")
    private Long tPassWork;

    /** 退回内容数 */
    @Excel(name = "退回内容数")
    private Long tBackWork;

    /** 收入 */
    @Excel(name = "收入")
    private Long tIncome;

    /** 退款 */
    @Excel(name = "退款")
    private Long tRefund;

    // 每天资源位被购买总数
    private Long dBought;

    /** 每天时间，记录到天 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "每天时间，记录到天", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate date;

    public void setDailySysId(Long dailySysId) 
    {
        this.dailySysId = dailySysId;
    }

    public Long getDailySysId() 
    {
        return dailySysId;
    }
    public void settUser(Long tUser) 
    {
        this.tUser = tUser;
    }

    public Long gettUser() 
    {
        return tUser;
    }
    public void settOnlineTime(Long tOnlineTime) 
    {
        this.tOnlineTime = tOnlineTime;
    }

    public Long gettOnlineTime() 
    {
        return tOnlineTime;
    }
    public void settMrTime(Long tMrTime) 
    {
        this.tMrTime = tMrTime;
    }

    public Long gettMrTime() 
    {
        return tMrTime;
    }
    public void settBought(Long tBought) 
    {
        this.tBought = tBought;
    }

    public Long gettBought() 
    {
        return tBought;
    }
    public void settInteractions(Long tInteractions) 
    {
        this.tInteractions = tInteractions;
    }

    public Long gettInteractions() 
    {
        return tInteractions;
    }
    public void settShares(Long tShares) 
    {
        this.tShares = tShares;
    }

    public Long gettShares() 
    {
        return tShares;
    }
    public void settWork(Long tWork) 
    {
        this.tWork = tWork;
    }

    public Long gettWork() 
    {
        return tWork;
    }
    public void settPassWork(Long tPassWork) 
    {
        this.tPassWork = tPassWork;
    }

    public Long gettPassWork() 
    {
        return tPassWork;
    }
    public void settBackWork(Long tBackWork) 
    {
        this.tBackWork = tBackWork;
    }

    public Long gettBackWork() 
    {
        return tBackWork;
    }
    public void settIncome(Long tIncome) 
    {
        this.tIncome = tIncome;
    }

    public Long gettIncome() 
    {
        return tIncome;
    }
    public void settRefund(Long tRefund) 
    {
        this.tRefund = tRefund;
    }

    public Long gettRefund() 
    {
        return tRefund;
    }
    public void setDate(LocalDate date)
    {
        this.date = date;
    }

    public LocalDate getDate()
    {
        return date;
    }

    public Long getdBought() {
		return dBought;
	}

    public void setdBought(Long dBought) {
		this.dBought = dBought;
	}

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dailySysId", getDailySysId())
            .append("tUser", gettUser())
            .append("tOnlineTime", gettOnlineTime())
            .append("tMrTime", gettMrTime())
            .append("tBought", gettBought())
            .append("tInteractions", gettInteractions())
            .append("tShares", gettShares())
            .append("tWork", gettWork())
            .append("tPassWork", gettPassWork())
            .append("tBackWork", gettBackWork())
            .append("tIncome", gettIncome())
            .append("tRefund", gettRefund())
                .append("dBought", getdBought())
            .append("data", getDate())
            .toString();
    }
}
